1.1

1.1

get /v1/replications/regions

Description

파일스토리지 복제 리전 목록을 조회한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querytype_name
optional
볼륨 유형 이름
Example : HDD
any of [string, null]None
querysource_region_name
required
리전
Example : kr-west1
stringNone
queryreplication_type
required
복제 유형
Example : replication
stringNone

Responses

HTTP CodeDescriptionSchema
200OKReplicationRegionListResponse
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/replications/regions?source_region_name={source_region_name}&replication_type={replication_type}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.1"

Example HTTP response

Response 200

{
    "regions": "['kr-west1']"
}